Package org.globus.gsi.gssapi

# Class GlobusGSSException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.ietf.jgss.GSSException
org.globus.gsi.gssapi.GlobusGSSException

All Implemented Interfaces:
  `Serializable`

public class GlobusGSSException extends GSSException

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAD_ARGUMENT`
`static final int`
`BAD_MIC`
`static final int`
`BAD_NAME`
`static final int`
`BAD_OPTION`
`static final int`
`BAD_OPTION_TYPE`
`static final int`
`CREDENTIAL_ERROR`
`static final int`
`DELEGATION_ERROR`
`static final int`
`PROXY_VIOLATION`
`static final int`
`TOKEN_FAIL`
`static final int`
`UNKNOWN`
`static final int`
`UNKNOWN_OPTION`

### Fields inherited from class org.ietf.jgss.GSSException

`BAD_BINDINGS, BAD_MECH, BAD_NAMETYPE, BAD_QOP, BAD_STATUS, CONTEXT_EXPIRED, CREDENTIALS_EXPIRED, DEFECTIVE_CREDENTIAL, DEFECTIVE_TOKEN, DUPLICATE_ELEMENT, DUPLICATE_TOKEN, FAILURE, GAP_TOKEN, NAME_NOT_MN, NO_CONTEXT, NO_CRED, OLD_TOKEN, UNAUTHORIZED, UNAVAILABLE, UNSEQ_TOKEN`

## Constructor Summary

Constructors
Constructor
Description
`GlobusGSSException(int majorCode, int minorCode, String key)`
`GlobusGSSException(int majorCode, int minorCode, String key, Object[] args)`
`GlobusGSSException(int majorCode, int minorCode, String minorString, Throwable cause)`
`GlobusGSSException(int majorCode, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`void`
`printStackTrace()`
Prints this exception's stack trace to `System.err`.
`void`
`printStackTrace(PrintStream ps)`
Prints this exception's stack trace to a print stream.
`void`
`printStackTrace(PrintWriter pw)`
Prints this exception's stack trace to a print writer.

### Methods inherited from class org.ietf.jgss.GSSException

`getMajor, getMajorString, getMinor, getMinorString, setMinor, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROXY_VIOLATION

public static final int PROXY_VIOLATION

See Also:
  - Constant Field Values

### BAD_ARGUMENT

public static final int BAD_ARGUMENT

See Also:
  - Constant Field Values

### BAD_NAME

public static final int BAD_NAME

See Also:
  - Constant Field Values

### CREDENTIAL_ERROR

public static final int CREDENTIAL_ERROR

See Also:
  - Constant Field Values

### TOKEN_FAIL

public static final int TOKEN_FAIL

See Also:
  - Constant Field Values

### DELEGATION_ERROR

public static final int DELEGATION_ERROR

See Also:
  - Constant Field Values

### BAD_MIC

public static final int BAD_MIC

See Also:
  - Constant Field Values

### UNKNOWN_OPTION

public static final int UNKNOWN_OPTION

See Also:
  - Constant Field Values

### BAD_OPTION_TYPE

public static final int BAD_OPTION_TYPE

See Also:
  - Constant Field Values

### BAD_OPTION

public static final int BAD_OPTION

See Also:
  - Constant Field Values

### UNKNOWN

public static final int UNKNOWN

See Also:
  - Constant Field Values

## Constructor Details

### GlobusGSSException

public GlobusGSSException(int majorCode, Throwable cause)

### GlobusGSSException

public GlobusGSSException(int majorCode, int minorCode, String minorString, Throwable cause)

### GlobusGSSException

public GlobusGSSException(int majorCode, int minorCode, String key)

### GlobusGSSException

public GlobusGSSException(int majorCode, int minorCode, String key, Object[] args)

## Method Details

### printStackTrace

public void printStackTrace()
Prints this exception's stack trace to `System.err`. If this exception has a root exception; the stack trace of the root exception is printed to `System.err` instead.

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintStream ps)
Prints this exception's stack trace to a print stream. If this exception has a root exception; the stack trace of the root exception is printed to the print stream instead.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `ps` - The non-null print stream to which to print.

### printStackTrace

public void printStackTrace(PrintWriter pw)
Prints this exception's stack trace to a print writer. If this exception has a root exception; the stack trace of the root exception is printed to the print writer instead.

Overrides:
  `printStackTrace` in class `Throwable`
Parameters:
  `pw` - The non-null print writer to which to print.

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `GSSException`